Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.platform.xml.xdk
Class XDKTransformer

`java.lang.Object
oracle.toplink.platform.xml.xdk.XDKTransformer`

All Implemented Interfaces:
  XMLTransformer

public class XDKTransformer
extends java.lang.Object
implements XMLTransformer

Constructor Summary
`XDKTransformer()`

Method Summary
`java.lang.String` | `getEncoding()`
`java.lang.String` | `getVersion()`
`boolean` | `isFormattedOutput()`
`boolean` | `isFragment()`
`void` | `setEncoding(java.lang.String encoding)`
`void` | `setFormattedOutput(boolean shouldFormat)`
`void` | `setFragment(boolean fragment)`
`void` | `setVersion(java.lang.String version)`
`void` | `transform(org.w3c.dom.Document sourceDocument, org.w3c.dom.Node resultParentNode, java.net.URL stylesheet)`
`void` | `transform(org.w3c.dom.Node sourceNode, org.xml.sax.ContentHandler resultContentHandler)`
`void` | `transform(org.w3c.dom.Node sourceNode, java.io.OutputStream resultOutputStream)`
`void` | `transform(org.w3c.dom.Node sourceNode, javax.xml.transform.Result result)`
`void` | `transform(org.w3c.dom.Node sourceNode, java.io.Writer resultWriter)`
`void` | `transform(javax.xml.transform.Source source, javax.xml.transform.Result result)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XDKTransformer

    public XDKTransformer()

Method Detail

### getEncoding

    public java.lang.String getEncoding()

  Specified by:
    `getEncoding` in interface `XMLTransformer`

### setEncoding

    public void setEncoding(java.lang.String encoding)

  Specified by:
    `setEncoding` in interface `XMLTransformer`

### isFormattedOutput

    public boolean isFormattedOutput()

  Specified by:
    `isFormattedOutput` in interface `XMLTransformer`

### setFormattedOutput

    public void setFormattedOutput(boolean shouldFormat)

  Specified by:
    `setFormattedOutput` in interface `XMLTransformer`

### getVersion

    public java.lang.String getVersion()

  Specified by:
    `getVersion` in interface `XMLTransformer`

### setVersion

    public void setVersion(java.lang.String version)

  Specified by:
    `setVersion` in interface `XMLTransformer`

### transform

    public void transform(org.w3c.dom.Node sourceNode,
                          java.io.OutputStream resultOutputStream)
                   throws XMLPlatformException

  Specified by:
    `transform` in interface `XMLTransformer`
  Throws:
    `XMLPlatformException`

### transform

    public void transform(org.w3c.dom.Node sourceNode,
                          org.xml.sax.ContentHandler resultContentHandler)
                   throws XMLPlatformException

  Specified by:
    `transform` in interface `XMLTransformer`
  Throws:
    `XMLPlatformException`

### transform

    public void transform(org.w3c.dom.Node sourceNode,
                          javax.xml.transform.Result result)
                   throws XMLPlatformException

  Specified by:
    `transform` in interface `XMLTransformer`
  Throws:
    `XMLPlatformException`

### transform

    public void transform(org.w3c.dom.Node sourceNode,
                          java.io.Writer resultWriter)
                   throws XMLPlatformException

  Specified by:
    `transform` in interface `XMLTransformer`
  Throws:
    `XMLPlatformException`

### transform

    public void transform(javax.xml.transform.Source source,
                          javax.xml.transform.Result result)
                   throws XMLPlatformException

  Specified by:
    `transform` in interface `XMLTransformer`
  Throws:
    `XMLPlatformException`

### transform

    public void transform(org.w3c.dom.Document sourceDocument,
                          org.w3c.dom.Node resultParentNode,
                          java.net.URL stylesheet)
                   throws XMLPlatformException

  Specified by:
    `transform` in interface `XMLTransformer`
  Throws:
    `XMLPlatformException`

### setFragment

    public void setFragment(boolean fragment)

  Specified by:
    `setFragment` in interface `XMLTransformer`

### isFragment

    public boolean isFragment()

  Specified by:
    `isFragment` in interface `XMLTransformer`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD